/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


#ifndef _CSTRINGLIST_H
#define _CSTRINGLIST_H

#include "CElement.h"
#include <e32std.h>
#include <e32base.h>
#include <f32file.h>
#include <badesca.h>

class CStringList : public CBase {
	public:
		CStringList(RFs &aFs);
		static CStringList* NewL(RFs &aFs);
		static CStringList* NewLC(RFs &aFs);		
		~CStringList();
		void Copy(CStringList *aStrlist);
		void ConstructL();
		void Clear();
		void LoadFromFileL(TDesC &aName);
		void SaveToFileL(TDesC &aName);
		void AddStringL(const TDesC &aValue);
		void AddNumberL(const int aValue);
		TInt GetNumberAt(const int aIndex);
		CDesCArrayFlat * Content();
		int Count();
		void PrependL(const TDesC &aValue);
		void Delete(int pos);
	private:
		RFs iFs;
		int error;
		CDesCArrayFlat * iStrings;

};

#endif

