/*
 *  ColorChooser.h
 *  
 *
 *  Created by Yohanes Nugroho on 05/04/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef COLOR_CHOOSER_H
#define COLOR_CHOOSER_H

#include <e32std.h>
#include <coemain.h>
#include <coecntrl.h>
#include <eiklabel.h>

class CColorChooser : public  CCoeControl {
	public:
		CColorChooser(TRgb aRGB);
		~CColorChooser();
		TSize MinimumSize();
		void SizeChanged();
		void DrawScroll(int linewidth, 
							   int linecenter, 
							   int vline, 
							   int value,
							   HBufC* str,
							   TBool selected) const;
		void Draw(const TRect& aRect) const;
        TCoeInputCapabilities InputCapabilities() const;
        TKeyResponse OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType);                                    
        void ConstructFromResourceL(TResourceReader& aReader);   		
		void DoSetRGB();
		TRgb GetCurrentColor();
	private:
		HBufC* iRedLabel;
		HBufC* iBlueLabel;
		HBufC* iGreenLabel;
		
		TInt iSelected;
		TUint iCurrentRGB;
		TTime iTime;
		TInt iAcceleration;
		TInt aLastKey;
	enum SelectionInfo {
		ERedSelected = 0,
		EGreenSelected,
		EBlueSelected,
		EColorSelected
	};
};

#endif
