/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    Original work (PalmBible and Bible+):
    Copyright (C) 2001  Ho Chuen Poon
    Modifications (C) 2003 Yih-Chun Hu

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/



#ifndef FULLHEADER_H
#define FULLHEADER_H

#include "const.h"
#include "Database.h"
#define recordSize 4096

class FullReader {
	public:
		FullReader(Database *dbase, UInt16 version, UInt16 minRecord, UInt16 maxRecord);
		void ReadBegin(UInt32 start);
		void ReadEnd();
		UInt8 ReadChar();
		~FullReader();
	private:
	        UInt16 version;
			Database *dbase;
        	UInt16 minRecord;
	        UInt16 maxRecord;

	        UInt16 recordIndex;
	        UInt16 charIndex;
	        UInt8* recordPtr;
};

#endif

