/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


#ifndef __S60BIBLEAPPUI_H__
#define __S60BIBLEAPPUI_H__

#include <aknappui.h>
#include <eikmenup.h>
#include <AknWaitDialog.h>
#include <aknViewAppUi.h>

class CS60BibleMainView;
class CBookListMainView;
class CBibleSettingListView;
class CS60BibleDocument;
class CBookmarkView;
class CKeyBindingView;
class CAboutView;

/*!
  @class	CS60BibleAppUi

  @discussion	The Application User Interface.
  */
class CS60BibleAppUi : public CAknViewAppUi
{
public:

/*!
  @function	ConstructL
  @abstract	Performs any second stage construction.
  */
    void ConstructL();

/*!
  @function	CS60BibleAppUi
  @abstract	Performs any first stage construction.
  @param aModel the model
  */
    CS60BibleAppUi(CS60BibleDocument* aDocument);
	~CS60BibleAppUi();
#ifdef __SERIES60_30__
void HandleResourceChangeL(TInt aType);
#endif

public:	//	from CEikAppUi

/*!
  @function	HandleCommandL
  @abstract	Carries out a command
  @param aCommand the command to execute
  */
    void HandleCommandL(TInt aCommand);
    void HandleForegroundEventL(TBool aForeground);


private:
    /*! @var iAppView The application view */
    	CS60BibleMainView* iMainView;
    	CBookListMainView* iBookListView;
    	CBibleSettingListView* iSettingView;
    	CAboutView *iAboutView;
    	CBookmarkView *iBookmarkView;
	CKeyBindingView *iKeyBindingView;

	/*! @var iDocument The current document */
	CS60BibleDocument* iDocument;


};


#endif // __S60BibleAPPUI_H__

