/*
    S60Bible A Bible Reader for SymbianOS
    Copyright (C) 2004 Yohanes Nugroho

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Yohanes Nugroho (yohanes@opensource.or.id)
    Kp Areman RT 09/08 No 71 Desa Tugu Cimanggis Depok 16951 Indonesia
*/


#ifndef __S60BIBLE_APPLICATION_H__
#define __S60BIBLE_APPLICATION_H__

#include <aknapp.h>


/*!
  @class CS60BibleApplication
  @discussion An instance of CS60BibleApplication is the application part of the CKON
  application framework for the S60Bible example application
  */
class CS60BibleApplication : public CAknApplication
	{
public: // New methods
/*!
  @function AppUiUid
  @abstract Return the application UI UID value (for externalising/internalising UI state)
  */
    TUid AppUiUid() const;

public:  // from CEikApplication
/*!
  @function	AppDllUid
  @abstract Return the application DLL UID value
  */
    TUid AppDllUid() const;

protected:  // from CEikApplication
/*!
  @function	CreateDocumentL
  @abstract Create a CApaDocument object and return a pointer to it
  */
    CApaDocument* CreateDocumentL();
	};

#endif // __S60Bible_APPLICATION_H__
